Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Class GlyphNameFieldPart

    java.lang.Object
      org.apache.fop.util.text.GlyphNameFieldPart

All Implemented Interfaces:
  AdvancedMessageFormat.Part

    public class GlyphNameFieldPart

extends java.lang.Object
implements AdvancedMessageFormat.Part

Function formatting a character to a glyph name.

Nested Class Summary
`static class` | `GlyphNameFieldPart.Factory` Factory for `GlyphNameFieldPart`.

Constructor Summary
`GlyphNameFieldPart(java.lang.String fieldName)` Creates a new glyph name field part

Method Summary
`boolean` | `isGenerated(java.util.Map params)` Indicates whether there is any content that is generated by this message part.
`java.lang.String` | `toString()`
`void` | `write(java.lang.StringBuffer sb, java.util.Map params)` Writes the formatted part to a string buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphNameFieldPart

    public GlyphNameFieldPart(java.lang.String fieldName)

  Creates a new glyph name field part

  Parameters:
    `fieldName` - the field name

Method Detail

### isGenerated

    public boolean isGenerated(java.util.Map params)

  Indicates whether there is any content that is generated by this message part.

  Specified by:
    `isGenerated` in interface `AdvancedMessageFormat.Part`
  Parameters:
    `params` - the parameters to work with
  Returns:
    true if the part has content

### write

    public void write(java.lang.StringBuffer sb,
                      java.util.Map params)

  Writes the formatted part to a string buffer.

  Specified by:
    `write` in interface `AdvancedMessageFormat.Part`
  Parameters:
    `sb` - the target string buffer
    `params` - the parameters to work with

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.